/***************************************************************************
                          NullPiece.cpp  -  description
                             -------------------
    begin                : Tue May 22 2001
    copyright            : (C) 2001 by Sven Reichard
    email                : reichard@math.udel.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
# include "Pieces/NullPiece.h"
using namespace Alice;

NullPiece::NullPiece():
  Piece(0,'0')
{
  mIsNull = true;
};

NullPiece::~NullPiece()
{};

char
NullPiece::displayLetter() const
{
  return ' ';
};

Piece*
NullPiece::clone() const
{
  return newNullPiece();
};
